#
# Please do not update/rebuild/touch this package before asking first to neoclust and/or daviddavid
# This package is part of the KDE Stack.
#

%define rel 7
%define attica_major 0
%define attica_minor 4
%define attica_patchversion 2

%define module  attica

Summary:        Open Collaboration Service providers library
Name:           kde4-attica
Version:        %{attica_major}.%{attica_minor}.%{attica_patchversion}
Release:        %mkrel %rel
License:        GPLv2+
Group:          System/Base
URL:            https://projects.kde.org/projects/kdesupport/attica
Source0:        https://download.kde.org/stable/attica/%{module}-%{version}.tar.bz2
Patch0:         kde4-attica-cmake-4.0.patch
BuildRequires:  pkgconfig(QtCore) < 5.0.0
BuildRequires:  pkgconfig(QtNetwork) < 5.0.0
BuildRequires:  pkgconfig(QtTest) < 5.0.0
BuildRequires:  cmake

%description
A library to access Open Collaboration Service providers.
Required to access OSC providers in get hot new stuff in KDE4.

#--------------------------------------------------------------------

%define libattica %mklibname kde4-attica %{attica_major}.%{attica_minor}
%define oldlibattica %mklibname attica 0

%package -n %libattica
Summary:      Qt library that implements the Open Collaboration Services API
Group:        System/Libraries

Obsoletes:    %oldlibattica < 0.4.1-2
Obsoletes:    %{_lib}attica0.4 < 0.4.3

%description -n %libattica
A library to access Open Collaboration Service providers
Required to access OSC providers in get hot new stuff.

%files -n %libattica
%{_libdir}/libattica.so.%{attica_major}.%{attica_minor}{,.*}

#--------------------------------------------------------------------
%define attica_devel %mklibname kde4-attica -d

%package -n %attica_devel

Summary:        Devel stuff for %{module}
Group:          Development/KDE and Qt
Requires:       %libattica = %version-%release
Obsoletes:       attica-devel < 0.3.0
Provides:        attica-devel = %{version}-%{release}

%description -n %attica_devel
This package contains header files needed if you wish to build applications
based on %{module}.

%files -n %attica_devel
%{_includedir}/attica
%{_libdir}/libattica.so
%{_libdir}/pkgconfig/libattica.pc

#--------------------------------------------------------------------

%prep
%autosetup -p1 -n %{module}-%{version}

%build
%cmake_qt4 -DQT4_BUILD=ON
%cmake_build

%install
%cmake_install


%changelog
* Thu Jul 10 2025 daviddavid <daviddavid> 0.4.2-7.mga10
+ Revision: 2252654
- fix build with cmake 4.0
+ umeabot <umeabot>
- Mageia 10 Mass Rebuild

* Sun Apr 03 2022 umeabot <umeabot> 0.4.2-6.mga9
+ Revision: 1841253
- Mageia 9 Mass Rebuild

* Thu Feb 13 2020 umeabot <umeabot> 0.4.2-5.mga8
+ Revision: 1513696
- Mageia 8 Mass Rebuild
+ wally <wally>
- build with new cmake macros
- replace deprecated %%makeinstall_std

* Sun Sep 23 2018 umeabot <umeabot> 0.4.2-4.mga7
+ Revision: 1298471
- Mageia 7 Mass Rebuild

* Mon Feb 15 2016 umeabot <umeabot> 0.4.2-3.mga6
+ Revision: 960810
- Mageia 6 Mass Rebuild

* Sat Jul 18 2015 neoclust <neoclust> 0.4.2-2.mga6
+ Revision: 855054
- Obsolete lib before renaming

* Thu Jul 16 2015 neoclust <neoclust> 0.4.2-1.mga6
+ Revision: 854531
- Rename
- New version 5.11.0

* Wed Oct 15 2014 umeabot <umeabot> 0.4.2-6.mga5
+ Revision: 744631
- Second Mageia 5 Mass Rebuild

* Sun Oct 12 2014 lmenut <lmenut> 0.4.2-5.mga5
+ Revision: 738117
- Mageia 5 Mass Rebuild
+ neoclust <neoclust>
- New version 4.100.0

* Sat Oct 19 2013 umeabot <umeabot> 0.4.2-4.mga4
+ Revision: 525524
- Mageia 4 Mass Rebuild

* Thu May 30 2013 neoclust <neoclust> 0.4.2-3.mga4
+ Revision: 433388
- New version

* Fri Jan 11 2013 umeabot <umeabot> 0.4.1-3.mga3
+ Revision: 346556
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Aug 18 2012 neoclust <neoclust> 0.4.1-2.mga3
+ Revision: 281899
- Fix lib package name ( patch from mikala )

* Fri Aug 17 2012 fedya <fedya> 0.4.1-1.mga3
+ Revision: 281798
- version update 0.4.1

* Tue Jul 31 2012 shlomif <shlomif> 0.4.0-1.mga3
+ Revision: 276773
- New version 0.4.0 - thanks to fedya

* Tue Dec 27 2011 mikala <mikala> 0.3.0-1.mga2
+ Revision: 188026
- Update tarball to 0.3.0
- Update tarball to 0.2.9
- Remove patch0 merged upstream
- Update URL

* Mon Oct 24 2011 mikala <mikala> 0.2.80-2.mga2
+ Revision: 157561
- Add patch0 to fix kde #281850 ( Color scheme was not attached when "publishing" a scheme on kde-look.org)
- remove %%clean & %%defattr()
- use spaces & not tabs (fix a rpmlint warning)
- remove %%find_lang macro (not used at all)
- add cmake as BR because previous committer did not test his changes.
- update summary & description for lib package
+ ze <ze>
- no need to buildrequire and use kde-macros
- use rpm native macros and not variables

* Mon Jun 27 2011 mikala <mikala> 0.2.80-1.mga2
+ Revision: 114607
- Update attica to 0.2.80
- Remove BuildRoot

* Thu Jan 13 2011 mikala <mikala> 0.2.0-1.mga1
+ Revision: 14382
- imported package attica

